Bug 1129507 - Anaconda deletes default EFI boot entry
Summary: Anaconda deletes default EFI boot entry
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 02:03 UTC by Dan Mossor [danofsatx]
Modified: 2015-12-02 16:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:23:47 UTC


Attachments (Terms of Use)
anaconda.log (43.99 KB, text/plain)
2014-08-13 02:04 UTC, Dan Mossor [danofsatx]
no flags Details
journal.log (1.70 MB, text/plain)
2014-08-13 02:04 UTC, Dan Mossor [danofsatx]
no flags Details
packaging.log (205 bytes, text/plain)
2014-08-13 02:06 UTC, Dan Mossor [danofsatx]
no flags Details
program.log (83.99 KB, text/plain)
2014-08-13 02:06 UTC, Dan Mossor [danofsatx]
no flags Details
storage.log (858.26 KB, text/plain)
2014-08-13 02:07 UTC, Dan Mossor [danofsatx]
no flags Details

Description Dan Mossor [danofsatx] 2014-08-13 02:03:15 UTC
Description of problem:
Installing to external USB hard drive from 08/10 nightly compose of Fedora-Live-KDE-x86_64-21-20140810.iso, anaconda deleted the EFI boot entry 0000, the default entry, and did not recreate it. Since the system disks are encrypted, grub2-mkconfig never found the original operating system. This makes the system inoperable when the USB disk is removed.

Version-Release number of selected component (if applicable):
anaconda-21.48.2-1.fc21.x86_64

How reproducible:
I would assume 100%.

Steps to Reproduce:
1. On an EFI equipped system with encrypted disks, attach an external USB hard drive (or thumb drive) to the system to install F21 to.
2. Boot the system from the Live installer, but do not unlock the system disks.
3. Install Fedora 21 using anaconda, and default settings throughout. On the disk partitioning spoke, ensure only the external disk is selected.
4. Finish installation and reboot once. Reboot again, removing the USB drive this time.

Actual results:
Original default EFI boot entry is gone, replaced with the one created by Anaconda. When the USB disk is not attached, the system will not boot due to there being no boot entry for the original system disks.

Expected results:
Original boot entries moved down one position, a-la grub.

Comment 1 Dan Mossor [danofsatx] 2014-08-13 02:04:04 UTC
Created attachment 926235 [details]
anaconda.log

Comment 2 Dan Mossor [danofsatx] 2014-08-13 02:04:38 UTC
Created attachment 926236 [details]
journal.log

Comment 3 Dan Mossor [danofsatx] 2014-08-13 02:06:22 UTC
Created attachment 926237 [details]
packaging.log

Comment 4 Dan Mossor [danofsatx] 2014-08-13 02:06:48 UTC
Created attachment 926238 [details]
program.log

Comment 5 Dan Mossor [danofsatx] 2014-08-13 02:07:13 UTC
Created attachment 926239 [details]
storage.log

Comment 6 Dan Mossor [danofsatx] 2014-08-13 02:28:29 UTC
Proposing as F21 Alpha Blocker per the Disk Selection release criteria "Disks not selected as installation targets must not be affected by the installation process in any way."

This *technically* isn't violated by this bug - the disks are, in fact, never touched by anaconda. What is touched is the pointers to said disks - which, in a literal sense, makes them "affected by the installation process".

Comment 7 Kamil Páral 2014-08-13 16:29:32 UTC
Discussed at the 2014-08-13 blocker review meeting:
http://meetbot.fedoraproject.org/fedora-blocker-review/2014-08-13/

Rejected as a blocker, because Anaconda doesn't support multiple Fedora installations using UEFI at the moment. Hopefully they can come up with some kind of a warning in relevant cases to prevent people losing access to their existing systems.

Comment 8 Adam Williamson 2014-08-22 17:32:12 UTC
I think it's rather the case that Fedora is designed to handle multiple Fedora UEFI installs using grub, not efibootmgr; the idea is that the grub menu you see after selecting the Fedora efibootmgr entry should give you access to all the Fedora installations. I'm not sure if that's actually currently the case, but it is, I think, what the *intent* is.

Comment 9 Fedora End Of Life 2015-11-04 15:14:20 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Stuart Rogers 2015-11-10 17:36:47 UTC
This or a very similar situation arises with Fedora 23 install using an external USB HDD on a laptop with Fedora 21 installed on the internal HDD. The default EFI boot option (actually the only option) is overwritten and prevents booting of the laptop when the USB HDD is removed. This leaves the user having to re-install the correct EFI boot option for the internal HDD. The efibootmgr will, if the correct options, are used indicate that you are overwriting the existing boot option called Fedora. 

Either the user should be prompted to verify this is correct or perhaps a better option would be to call the newly created boot option with a name like Fedora23 (in this case) this would leave both boot options intact and allow booting of the laptop from the internal HDD without having to resort to booting a Live ISO and reinstall the EFI boot options with efibootmgr. In any case the ability to boot from the internal HDD should not be affected by the install process.

Comment 11 Fedora End Of Life 2015-12-02 03:23:51 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.